classification
Title: Cannot create venv with debug binaries installed
Type: behavior Stage: resolved
Components: Windows Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: steve.dower Nosy List: chrullrich, miss-islington, paul.moore, steve.dower, tim.golden, zach.ware
Priority: normal Keywords: patch

Created on 2019-03-26 16:45 by chrullrich, last changed 2019-03-28 20:47 by steve.dower. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 12566 merged steve.dower, 2019-03-26 19:18
PR 12590 merged miss-islington, 2019-03-27 15:15
Messages (5)
msg338904 - (view) Author: Christian Ullrich (chrullrich) * Date: 2019-03-26 16:45
Creating a venv using "py -m venv" fails when the debug binaries are installed in the system-wide installation.

Note the below uses the 32-bit installation, but that is probably not significant.

C:\Daten\pyv>py -3.7-32 -m venv v37-32
Error: [Errno 2] No such file or directory: 'C:\\Program Files (x86)\\Python37-32\\lib\\venv\\scripts\\nt\\python_d.exe'

The same command line works fine when using a Python installation that does not have the debug binaries installed.
msg338905 - (view) Author: Christian Ullrich (chrullrich) * Date: 2019-03-26 16:47
Python version is 3.7.3.
msg338911 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-03-26 18:32
Thanks! Two issues here:
* symlink_or_copy doesn't verify that the source file exists after rewriting the path
* Tools/msi/lib/lib_files.wxs doesn't include the debug launchers
msg338966 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-03-27 15:14
New changeset 4a9a505d6f2474a570422dad89f8d1b344d6cd36 by Steve Dower in branch 'master':
bpo-36441: Fixes creating a venv when debug binaries are installed. (#12566)
https://github.com/python/cpython/commit/4a9a505d6f2474a570422dad89f8d1b344d6cd36
msg338970 - (view) Author: miss-islington (miss-islington) Date: 2019-03-27 15:47
New changeset 65445f65e6080310d612f73083ba172eb2c6e326 by Miss Islington (bot) in branch '3.7':
bpo-36441: Fixes creating a venv when debug binaries are installed. (GH-12566)
https://github.com/python/cpython/commit/65445f65e6080310d612f73083ba172eb2c6e326
History
Date User Action Args
2019-03-28 20:47:33steve.dowersetstatus: open -> closed
assignee: steve.dower
resolution: fixed
stage: patch review -> resolved
2019-03-27 15:47:59miss-islingtonsetnosy: + miss-islington
messages: + msg338970
2019-03-27 15:15:18miss-islingtonsetpull_requests: + pull_request12533
2019-03-27 15:14:58steve.dowersetmessages: + msg338966
2019-03-26 19:18:10steve.dowersetkeywords: + patch
stage: patch review
pull_requests: + pull_request12511
2019-03-26 18:32:59steve.dowersetmessages: + msg338911
2019-03-26 16:47:19chrullrichsetmessages: + msg338905
2019-03-26 16:45:44chrullrichcreate